%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

# Generated from turbolinks-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name turbolinks

Summary:        Turbolinks makes navigating your web application faster
Name:           %{?scl_prefix}rubygem-%{gem_name}
Version:        5.0.1
Release:        1%{?dist}
Group:          Development/Languages
License:        MIT
URL:            https://github.com/turbolinks/turbolinks
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

Requires:       %{?scl_prefix_ruby}ruby(release)
Requires:       %{?scl_prefix_ruby}ruby(rubygems)
Requires:       %{?scl_prefix}rubygem(turbolinks-source) >= 5
BuildRequires:  %{?scl_prefix_ruby}ruby(release)
BuildRequires:  %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires:  %{?scl_prefix_ruby}ruby
BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
BuildRequires:  %{?scl_prefix}rubygem(turbolinks-source) >= 5
BuildArch:      noarch
Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}

# Explicitly require runtime subpackage, as long as older scl-utils do not generate it
%{?scl:Requires: %{?scl_prefix}runtime}

%description
Rails engine for Turbolinks 5 support.

%package doc
Summary:    Documentation for %{pkg_name}
Group:      Documentation
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch:  noarch

%description doc
Documentation for %{pkg_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
%{?scl:scl enable %{scl} - << \EOF}
%gem_install -n %{SOURCE0}
%{?scl:EOF}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
# There is no upstream test suite :/

%files
# There is no %%license macro on RHEL6.
# https://bugzilla.redhat.com/show_bug.cgi?id=1386246
%{!?_licensedir:%global license %%doc}

%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Jan 18 2017 Jun Aruga <jaruga@redhat.com> - 5.0.1-1
- Update to Turbolinks 5.0.1.

* Wed Mar 02 2016 Pavel Valena <pvalena@redhat.com> - 2.5.3-3
- Update to 2.5.3

* Tue Jan 27 2015 Josef Stribny <jstribny@redhat.com> - 2.4.0-1
- Update to 2.4.0

* Thu Oct 24 2013 Josef Stribny <jstribny@redhat.com> - 1.3.0-2
- Convert to scl

* Wed Oct 23 2013 Josef Stribny <jstribny@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 22 2013 Josef Stribny <jstribny@redhat.com> - 1.1.1-1
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
- Update to 1.1.1

* Thu Nov 15 2012 Josef Stribny <jstribny@redhat.com> - 0.5.1-1
- Initial package
